{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/crdbs/flush",
  "title": "CRDB flush requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/crdbs/flush/",
  "summary": "Flush Active-Active database requests",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2026-04-24T09:17:44-05:00",
  "page_type": "content",
  "content_hash": "93be4a6b2b362dc03a2bfedc24c4f0afdf51b035739c44768427d81e5cff902b",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "| Method | Path | Description |\n|--------|------|-------------|\n| [PUT](#put-crdbs-flush) | `/v1/crdbs/{crdb_guid}/flush` | Flush an Active-Active database |"
    },
    {
      "id": "put-crdbs-flush",
      "title": "Flush an Active-Active database",
      "role": "content",
      "text": "[code example]\n\nFlush an Active-Active database.\n\nRun flush from only one participating cluster. The flush operation propagates to all other clusters automatically."
    },
    {
      "id": "put-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n[code example]\n\n#### Headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| X-Task-ID | string | Specified task ID |\n| X-Result-TTL | integer | Time (in seconds) to keep task result |\n\n#### URL parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| crdb_guid | string | Globally unique Active-Active database ID (GUID) |\n\n#### Query parameters\n\n| Field | Type | Description |\n|-------|------|-------------|\n| async_flush | boolean | Perform asynchronous flush operation (optional) |"
    },
    {
      "id": "put-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns a [CRDB task object](https://redis.io/docs/latest/operate/rs/references/rest-api/objects/crdb_task).\n\n#### Status codes {#put-status-codes}\n\n| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | Action was successful. |\n| [400 Bad Request](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.1) | The request is invalid or malformed. |\n| [401 Unauthorized](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.2) | Unauthorized request. Invalid credentials |\n| [404 Not Found](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.5) | Configuration or Active-Active database not found. |\n| [406 Not Acceptable](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.7) | Configuration cannot be accepted, typically because it was already committed. |"
    }
  ],
  "examples": [
    {
      "id": "put-crdbs-flush-ex0",
      "language": "sh",
      "code": "PUT /v1/crdbs/{crdb_guid}/flush",
      "section_id": "put-crdbs-flush"
    },
    {
      "id": "put-request-ex0",
      "language": "sh",
      "code": "PUT /v1/crdbs/552bbccb-99f3-4142-bd17-93d245f0bc79/flush",
      "section_id": "put-request"
    }
  ]
}
